using System.Text.Json;

namespace View_by_Distance.Rename.Models;

public record AppSettings(string Company,
                          bool ForceIdName,
                          int MaxDegreeOfParallelism,
                          int MaxMinutesDelta,
                          bool RenameUndo,
                          string WorkingDirectoryName)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}