using System.Text.Json;

namespace View_by_Distance.Copy.Distinct.Models;

public record AppSettings(string Company,
                          bool CopyDuplicates,
                          string CopyTo,
                          int MaxDegreeOfParallelism,
                          string ResultDirectoryKey,
                          string WorkingDirectoryName)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}